from twisted.internet import reactor

from .loader import Loader
from .irc import IRCBotFactory
from .settings import logger, BOT_FILE

class Runner:
    def __init__(self):
        self.loader = Loader(BOT_FILE)

    def run(self):
        self.loader.load_bots()
        for bot in self.loader.bots:
            bot_factory = IRCBotFactory(bot)
            reactor.connectTCP(bot.server, bot.port, bot_factory)
        reactor.run()

def run():
    logger.info('Klafirc is running !')
    runner = Runner()
    runner.run()
