import logging
from logging.handlers import RotatingFileHandler

DEBUG = False

if not DEBUG:
    BOT_FILE = '/etc/klafirc/bots.yaml'
    LOG_FILE = '/var/log/klafirc/klafirc.log'
else:
    BOT_FILE = './bots.yaml'
    LOG_FILE = './klafirc.log'

logger = logging.getLogger()

if DEBUG:
    logger.setLevel(logging.DEBUG)
else:
    logger.setLevel(logging.INFO)

formatter = logging.Formatter('%(asctime)s :: %(levelname)s :: %(message)s')
file_handler = RotatingFileHandler(LOG_FILE, 'a', 1000000, 1)
file_handler.setLevel(logging.DEBUG)
file_handler.setFormatter(formatter)
logger.addHandler(file_handler)

stream_handler = logging.StreamHandler()
stream_handler.setLevel(logging.DEBUG)
stream_handler.setFormatter(formatter)
logger.addHandler(stream_handler)
